datacache <- new.env(hash=TRUE, parent=emptyenv())

chicken <- function() showQCData("chicken", datacache)
chicken_dbconn <- function() dbconn(datacache)
chicken_dbfile <- function() dbfile(datacache)
chicken_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
chicken_dbInfo <- function() dbInfo(datacache)

chickenORGANISM <- "Gallus gallus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "chicken.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("CHICKENCHIP_DB", "chicken", "chip chicken", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(chicken_dbconn())
}

